#include <inttypes.h>
#include <stdio.h>
#include <avr/pgmspace.h>

#include "font6x8.h"
#include "font12x16.h"
#include "disp3k.h"
void func(void);
void ShiftData(uint8_t data);

int main(void) {

	disp3kInit();
	
	while(1)
	{
		func();	// test functions
	}
	
	return 0;
}

void func(void)
{
	font smallFont, largeFont;
		
	volatile uint32_t i;
	
	smallFont.width = FONT6X8_WIDTH;
	smallFont.height = FONT6X8_HEIGHT;
	smallFont.charData = Font6x8;
	
	largeFont.width = FONT12X16_WIDTH;
	largeFont.height = FONT12X16_HEIGHT;
	largeFont.charData = Font12x16;
	
	//disp3kClear();	
	disp3kSetColor(GREEN);
	disp3kFillRect(15,5,40,70);
	disp3kSetColor(RED);
	disp3kSetFont(smallFont);
	disp3kGotoXY(0,1);
	disp3kDrawChar('A');
	disp3kDrawChar('B');
	disp3kDrawChar('C');
	disp3kSetColor(BLUE);
	disp3kSetFont(largeFont);
	disp3kSetFontOffset(14);
	disp3kGotoXY(10,25);
	disp3kDrawChar('A');
	disp3kDrawChar('B');
	disp3kDrawChar('C');
	//printf("Hello\nWorld!");
	// ein nikolaus haus
	disp3kSetColor(MAGENTA);
	disp3kDrawLine(20,100,70,100);	// unten
	disp3kDrawLine(20,100,20,70);	// links
	disp3kDrawLine(20,70,70,70);		// oben
	disp3kDrawLine(70,70,70,100);	// rechts
	disp3kDrawLine(20,70,45,40);		// schrge links
	disp3kDrawLine(45,40,70,70);		// schrge rechts
	disp3kDrawLine(20,100,70,70);
	disp3kDrawLine(20,70,70,100);
	disp3kGotoXY(10,25);
	//printf("Hello\nWorld!");
		disp3kDrawChar('A');
	disp3kDrawChar('B');
	disp3kDrawChar('C');
	disp3kDrawChar('\n');
	disp3kDrawChar('\n');
		disp3kDrawChar('H');
	disp3kDrawChar('e');
	disp3kDrawChar('l');
	disp3kDrawChar('l');				
	disp3kDrawChar('o');
	disp3kDrawChar('!');		
	disp3kSetColor(YELLOW);
	disp3kDrawCircle(90, 50, 30);
	disp3kGotoXY(10,25);
	//printf("Hello\nWorld!");
	disp3kSetColor(CYAN);
	disp3kDrawRect(65,65,55,55);
	
	//disp3kTestScreen();	
}